Loading...
Searching...
No Matches
example.hpp File Reference

Example of using all common Doxygen tags. More...

Go to the source code of this file.

## Classes

class | ExampleClass
| This is an example class showing Doxygen tags. More...

## Detailed Description

Example of using all common Doxygen tags.

Author
  Joud Kandeel

Version
  1.0

Since
  2026-03-13

Note
  This file demonstrates how to document code with Doxygen.

Warning
  Only for demonstration purposes; not optimized.

Todo
  Add more functions in the future.

Bug
  There may be edge cases not handled.

Deprecated
  This example will be replaced in later versions.